# Uses of Interface
org.eclipse.emf.cdo.expressions.FunctionInvocation

Packages that use FunctionInvocation
Package
Description
org.eclipse.emf.cdo.expressions
The generated EMF API of the CDO expressions model.
org.eclipse.emf.cdo.expressions.impl
The generated EMF implementation of the CDO expressions model.
org.eclipse.emf.cdo.expressions.util
The generated EMF utilities of the CDO expressions model.

## Uses of FunctionInvocation in org.eclipse.emf.cdo.expressions

Methods in org.eclipse.emf.cdo.expressions that return FunctionInvocation
Modifier and Type
Method
Description
`FunctionInvocation`
ExpressionsFactory.`createFunctionInvocation()`
Returns a new object of class 'Function Invocation'.

## Uses of FunctionInvocation in org.eclipse.emf.cdo.expressions.impl

Classes in org.eclipse.emf.cdo.expressions.impl that implement FunctionInvocation
Modifier and Type
Class
Description
`class`
`FunctionInvocationImpl`
An implementation of the model object 'Function Invocation'.
Methods in org.eclipse.emf.cdo.expressions.impl that return FunctionInvocation
Modifier and Type
Method
Description
`FunctionInvocation`
ExpressionsFactoryImpl.`createFunctionInvocation()`

## Uses of FunctionInvocation in org.eclipse.emf.cdo.expressions.util

Methods in org.eclipse.emf.cdo.expressions.util that return FunctionInvocation
Modifier and Type
Method
Description
`static FunctionInvocation`
ExpressionsUtil.`construct(Expression className, Expression... arguments)`
`static FunctionInvocation`
ExpressionsUtil.`invoke(Expression name, Expression... arguments)`
Methods in org.eclipse.emf.cdo.expressions.util with parameters of type FunctionInvocation
Modifier and Type
Method
Description
`T`
ExpressionsSwitch.`caseFunctionInvocation(FunctionInvocation object)`
Returns the result of interpreting the object as an instance of 'Function Invocation'.